#ifndef RAWCONFIGURATIONBLOCKV1_H
#define RAWCONFIGURATIONBLOCKV1_H
#include "DAQDataFormats/RawConfigurationBlockV0.h"

/// It is requred to
///   1. include DAQDataFormats/DataFormatFirst.inc
///   2. define CURRENT_CLASS
///   3.    define CURRENT_CLASS_VERSION for version of the class
///      OR define LAST_CLASS_VERSION    for the main structure of the class
///   4. (optional) define CURRENT_FIELDS_SUB_NAMESPACE
///   5. include DAQDataFormats/DataFormatLast.inc
/// before the declaration of the DataFormat version class in the header.
#include "DAQDataFormats/DataFormatFirst.inc"
#define  CURRENT_CLASS                RawConfigurationBlock
#define  CURRENT_CLASS_VERSION        1
#define  CURRENT_FIELDS_SUB_NAMESPACE configurationblock
#include "DAQDataFormats/DataFormatLast.inc"

namespace daqdataformats {
namespace VERSION_NAMESPACE {

  class RawConfigurationBlock : public PREVIOUS_VERSION_CLASS_NAME {
    
        public:
            // Constructors
            RawConfigurationBlock (const version_t); ///< The default constructor
            RawConfigurationBlock (const RawConfigurationBlock&);
            ~RawConfigurationBlock(); ///< Destructor
  };
  
  
}} // END NAMESPCE daqdataformats
#endif /* RAWCONFIGURATIONBLOCKV1_H */
