#ifndef RAWCONFIGURATIONHEADERV1_H
#define RAWCONFIGURATIONHEADERV1_H
#include "DAQDataFormats/RawConfigurationHeaderV0.h"

/// It is requred to
///   1. include DAQDataFormats/DataFormatFirst.inc
///   2. define CURRENT_CLASS
///   3.    define CURRENT_CLASS_VERSION for version of the class
///      OR define LAST_CLASS_VERSION    for the main structure of the class
///   4. (optional) define CURRENT_FIELDS_SUB_NAMESPACE
///   5. include DAQDataFormats/DataFormatLast.inc
/// before the declaration of the DataFormat version class in the header.
#include "DAQDataFormats/DataFormatFirst.inc"
#define  CURRENT_CLASS                RawConfigurationHeader
#define  CURRENT_CLASS_VERSION        1
#define  CURRENT_FIELDS_SUB_NAMESPACE rawconfhdr
#include "DAQDataFormats/DataFormatLast.inc"

namespace daqdataformats {
namespace VERSION_NAMESPACE {

  class RawConfigurationHeader : public PREVIOUS_VERSION_CLASS_NAME {
    
        public:
            // Constructors
            RawConfigurationHeader (const version_t); ///< The default constructor
            RawConfigurationHeader (const RawConfigurationHeader&);
            ~RawConfigurationHeader(); ///< Destructor
  };
  
  
}} // END NAMESPCE daqdataformats
#endif /* RAWCONFIGURATIONHEADERV1_H */
