#ifndef RAWEVENTV1_H
#define RAWEVENTV1_H
#include "DAQDataFormats/RawEventV0.h"

/// It is requred to
///   1. include DAQDataFormats/DataFormatFirst.inc
///   2. define CURRENT_CLASS
///   3.    define CURRENT_CLASS_VERSION for version of the class
///      OR define LAST_CLASS_VERSION    for the main structure of the class
///   4. (optional) define CURRENT_FIELDS_SUB_NAMESPACE
///   5. include DAQDataFormats/DataFormatLast.inc
/// before the declaration of the DataFormat version class in the header.
#include "DAQDataFormats/DataFormatFirst.inc"
#define  CURRENT_CLASS                RawEvent
#define  CURRENT_CLASS_VERSION        1
#define  CURRENT_FIELDS_SUB_NAMESPACE rawevent
#include "DAQDataFormats/DataFormatLast.inc"

namespace daqdataformats {
namespace  VERSION_NAMESPACE {

  class RawEvent : public PREVIOUS_VERSION_CLASS_NAME {
        public:
            // Constructors
            RawEvent (const version_t); //! The default constructor
            RawEvent (const RawEvent&);
            /// Destructor
            ~RawEvent();

            void init();
            bool setBufferSource(const void* pointer);
            bool close(const bool);
            bool setTrigger2(const void*  pointer);
            bool nextEvent();

  };
  
  
}} // END NAMESPCE daqdataformats
#endif /* RAWEVENTV0_H */
