//  This file (getMilliBlock.h) was created by Ron Rechenmacher <ron@fnal.gov> on
//  Nov  4, 2011. "TERMS AND CONDITIONS" governing this file are in the README
//  or COPYING file. If you do not have such a file, one can be obtained by
//  contacting Ron or Fermi Lab in Batavia IL, 60510, phone: 630-840-3000.
//  $RCSfile: ShmMilliBlock.h,v $
//  rev="$Revision: 1.2 $$Date: 2012/05/10 16:37:48 $";

#ifndef GETMILLIBLOCK_H
#define GETMILLIBLOCK_H

#include <vector>		// std::vector
#include "DAQDataFormats/RawMilliBlock.h"
#include "ShmRdWr/ShmRdWr.h"
//#include "boost time"


class ShmMilliBlock
{
public:
    bool getMilliBlock(  uint32_t tmo_us
		       , RawMilliBlock & mb );
    uint32_t missed() const;

private:
    ShmRd		   shm_rd_;
    std::vector<uint32_t>  my_area_;
    uint32_t		   tot_missed_;
};

#endif // GETMILLIBLOCK_H
